import javax.naming.*;

public class MyObject implements Referenceable 
  {
    String value;
    
    public MyObject (String v) 
      {
	value = v;
      }
    
    public Reference getReference() 
      throws NamingException 
      {
	return new Reference(MyObject.class.getName(),
	                     new StringRefAddr("value", value),
	                     MyObjectFactory.class.getName(),
	                     null); // factory location
      }

    public String toString() 
      {
	return value;
      }
  }

