import javax.naming.*;
import javax.naming.spi.ObjectFactory;
import java.util.Hashtable;

public class MyObjectFactory implements ObjectFactory 
  {
    public MyObjectFactory() 
      {
      }

    public Object getObjectInstance (Object obj, Name name, Context ctx, Hashtable env) 
      throws Exception 
      {
	if (obj instanceof Reference) 
          {
	    Reference ref = (Reference)obj;

	    if (ref.getClassName().equals(MyObject.class.getName())) 
              {
		RefAddr addr = ref.get("value");

		if (addr != null) 
		  return new MyObject((String)addr.getContent());
	      }
	  }

	return null;
      }
  }

